
/////////////////////////////
//Initial function for HUD//
///////////////////////////

void fixedDisplay(){
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  cp5.draw();
  

  //KEY  
  fill(#0000FF);
  noStroke();
  rect(constantHorizontalMargin-125, 313, 18, 18);
  
  fill(#FF00FF);
  rect(constantHorizontalMargin-125, 343, 18, 18);
  
  fill(#FFFF00);
  rect(constantHorizontalMargin-125, 373, 18, 18);
  
  fill(#02F510);
  rect(constantHorizontalMargin-125, 403, 18, 18);
  
  //Title
    for (int i=0; i<6; i++){
      for (int j=0; j<5; j++){

    fill(255);
    //textFont(myFont);
    textAlign(LEFT);
    textSize(30);
    text("SPL's Collection Relevance to Technology", 
          constantHorizontalMargin-100, constantVerticalMargin-50);
    
    
    textSize(20);
    pushMatrix();
    translate(0,j*30, 0);
    text(itemTypes[j],
          constantHorizontalMargin-100, 300);
    popMatrix();
    
    textSize(20);
    textAlign(RIGHT);
    pushMatrix();
    translate(0,i*30,0);
    text(keyWords[i], width-20, 300);
    popMatrix();
    
    textSize(15);
    textAlign(RIGHT);
    text("David Aleman",width-20,height-55);
    text("3D Project - MAT259",width-20,height-40);
    text("Data derived from SPL Database", width-20, height-25);
    }
    }
    //for(int d=0; d<30; d++){
    //  textSize(15);
    //  pushMatrix();
    //  translate(sin(150), cos(150));
    //  text(days[d], width/2, height/2);
    //  popMatrix();
    //}
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}

 /////////////////////////////////////
//Initial function for initial draw//
///////////////////////////////////

void initial(){

for (int i=0; i<books.size(); i++){
    dateAxis = map(dateParser(books.get(i).date), 0, 3650, 0, ellipseSize/2);
    countAxis = map((books.get(i).count), 0, 6500, 0, ellipseSize/2);
    c = typeDetermine(books.get(i).type);
    
    noStroke();
    fill(c);
    pushMatrix();
    translate(150*cos(dateAxis), 150*sin(dateAxis), i-15);
    rotateX(PI/2);
    //rotateY(3*PI/2);
    rect(0, books.get(i).count/4, 20, books.get(i).count/4);
    popMatrix();
  }
  
 for (int i =0; i<10; i++){
   for(int j=0; j<12; j++){
  stroke(255);
  noFill();
  pushMatrix();
  translate(0, 0, i*300);
  ellipse(0, 0, 300,300);
  popMatrix();
  
  int y = 2006+i;
  
  fill(255);
  textAlign(RIGHT, CENTER);
  textSize(30);
  pushMatrix();
  translate(0,0,i*300);
  text(y, -350, 0);
  popMatrix();
  
  fill(255);
  textAlign(LEFT,CENTER);
  textSize(25);
  pushMatrix();
  translate(0, 0,j*25);
  text(months[j],0,350);
  popMatrix();
  
  
   }
 }
 
}